package com.yunfeiyun.agmp.fms.domain;

import java.math.BigDecimal;
import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 变动对象 WmsChange
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class WmsChange extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 变动标识 */
    private String changeId;

    /** 变化申请标识 */
    @Excel(name = "变化申请标识")
    private String changeapplyId;

    /** 库存标识 */
    @Excel(name = "库存标识")
    private String stockId;

    /** 变动业务类型 */
    @Excel(name = "变动业务类型")
    private String changeBiztype;


    /** 变动方式 */
    @Excel(name = "变动方式")
    private String changeWay;

    /** 变动数量 */
    @Excel(name = "变动数量")
    private BigDecimal changeNum;

    /** 变动原始数量 */
    @Excel(name = "变动原始数量")
    private BigDecimal changeOldnum;

    /** 变动最终数量 */
    @Excel(name = "变动最终数量")
    private BigDecimal changeNewnum;

    /** 变动创建人 */
    @Excel(name = "变动审核人")
    private String changeAuditor;

    /** 变动创建日期 */
    @Excel(name = "变动审核日期")
    private String changeAuditeddate;

    /** 变动备注 */
    @Excel(name = "变动备注")
    private String changeRemark;

    public void setChangeId(String changeId)
    {
        this.changeId = changeId;
    }

    public String getChangeId()
    {
        return changeId;
    }
    public void setChangeapplyId(String changeapplyId)
    {
        this.changeapplyId = changeapplyId;
    }

    public String getChangeapplyId()
    {
        return changeapplyId;
    }
    public void setStockId(String stockId)
    {
        this.stockId = stockId;
    }

    public String getStockId()
    {
        return stockId;
    }
    public void setChangeBiztype(String changeBiztype)
    {
        this.changeBiztype = changeBiztype;
    }

    public String getChangeBiztype()
    {
        return changeBiztype;
    }
    public void setChangeWay(String changeWay)
    {
        this.changeWay = changeWay;
    }

    public String getChangeWay()
    {
        return changeWay;
    }
    public void setChangeNum(BigDecimal changeNum)
    {
        this.changeNum = changeNum;
    }

    public BigDecimal getChangeNum()
    {
        return changeNum;
    }
    public void setChangeOldnum(BigDecimal changeOldnum)
    {
        this.changeOldnum = changeOldnum;
    }

    public BigDecimal getChangeOldnum()
    {
        return changeOldnum;
    }
    public void setChangeNewnum(BigDecimal changeNewnum)
    {
        this.changeNewnum = changeNewnum;
    }

    public BigDecimal getChangeNewnum()
    {
        return changeNewnum;
    }
    public void setChangeAuditor(String changeAuditor)
    {
        this.changeAuditor = changeAuditor;
    }

    public String getChangeAuditor()
    {
        return changeAuditor;
    }
    public void setChangeAuditeddate(String changeAuditeddate)
    {
        this.changeAuditeddate = changeAuditeddate;
    }

    public String getChangeAuditeddate()
    {
        return changeAuditeddate;
    }
    public void setChangeRemark(String changeRemark)
    {
        this.changeRemark = changeRemark;
    }

    public String getChangeRemark()
    {
        return changeRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("changeId", getChangeId())
            .append("changeapplyId", getChangeapplyId())
            .append("stockId", getStockId())
            .append("changeBiztype", getChangeBiztype())
            .append("changeWay", getChangeWay())
            .append("changeNum", getChangeNum())
            .append("changeOldnum", getChangeOldnum())
            .append("changeNewnum", getChangeNewnum())
            .append("changeAuditor", getChangeAuditor())
            .append("changeAuditeddate", getChangeAuditeddate())
            .append("changeRemark", getChangeRemark())
            .toString();
    }
}
